package salescmp.Bean;

import java.rmi.*;
import javax.ejb.*;

public abstract class EmployeeBean implements EntityBean {
  private EntityContext context;
  private Integer empId;
  private String empName;

  public abstract void setId(Integer newId);
  public abstract Integer getId() ;

  public abstract void setName(String newName);
  public abstract String getName();

  public Integer ejbCreate(int id, String name) throws CreateException {
    setId(new Integer(id));
    setName(name);

    return new Integer(id);
  }

  public void ejbPostCreate(int id, String name) throws CreateException {
  }

  public void setEntityContext(EntityContext context) {
    this.context = context;
  }

  public void unsetEntityContext() {
    context = null;
  }

  public void ejbRemove() throws RemoveException {}
  public void ejbActivate() {}
  public void ejbPassivate() {}
  public void ejbLoad() {}
  public void ejbStore() {}
}