package salescmp.Bean;

import java.util.*;
import java.rmi.*;
import javax.ejb.*;
import salescmp.Util.*;

public interface SalesSession extends EJBLocalObject {
  public void insertDatas(boolean errTest);
  public ArrayList getAllCustomers() ;
  public void createCustomer(int id, String name, String address,
          String tel, String fax);
  public void removeCustomer(int id) ;
  public void updateCustomer(CustomerData cdata);
  public CustomerData getCustomerData(int id) ;
  public void createPackedSales(PackedSalesData pdata);
  public ArrayList getAllPackedSales() ;
  public java.util.ArrayList getCustomerPackedSales(int custid) ;
}