package salescmp.Servlets;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import salescmp.Util.*;
import javax.naming.*;
import javax.ejb.*;

public class CustomerUpdateServlet extends HttpServlet {

  public void init(ServletConfig config) throws ServletException {
    super.init(config);
  }

  public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
    try {
      CustomerData cdata = new CustomerData(
            new Integer(request.getParameter("id")).intValue(),
            SalesUtil.convJp(request.getParameter("Name")),
            SalesUtil.convJp(request.getParameter("Address")),
            SalesUtil.convJp(request.getParameter("Tel")),
            SalesUtil.convJp(request.getParameter("Fax")));
      SalesUtil.getSalesSession().updateCustomer(cdata);
    }catch (NamingException ex) {
      throw new EJBException(ex.getMessage());
    }catch (CreateException ex) {
      throw new EJBException(ex.getMessage());
    }
  }

  public void destroy() {
  }
}