package salescmp.Servlets;

import javax.servlet.*;
import javax.servlet.http.*;
import salescmp.Bean.*;
import salescmp.Util.*;
import java.io.*;
import javax.naming.*;
import javax.ejb.*;

public class InitInsertServlet extends HttpServlet {
  public void init(ServletConfig config) throws ServletException {
    super.init(config);
  }

  public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
    try {
      boolean isTest = (request.getParameter("test") != null);
      SalesUtil.getSalesSession().insertDatas(isTest);

      ServletContext sc = getServletContext();
      RequestDispatcher rd = sc.getRequestDispatcher("/salscmp/CustomerList.jsp");
      rd.forward(request, response);
    } catch (NamingException ex) {
      throw new EJBException(ex.getMessage());
    } catch (CreateException ex) {
      throw new EJBException (ex.getMessage());
    }
  }

  public void destroy() {
  }
}