package salescmp.Bean;

import java.util.*;
import java.rmi.*;
import javax.ejb.*;
import salescmp.Util.*;

public abstract class CustomerBean implements EntityBean {
  private EntityContext context;

  public abstract void setId(Integer id);
  public abstract Integer getId();

  public abstract void setName(String newName);
  public abstract String getName();

  public abstract void setAddress(String address);
  public abstract String getAddress();

  public abstract void setTel(String tel);
  public abstract String getTel();

  public abstract void setFax(String fax);
  public abstract String getFax();

  public abstract void setPackedSales(Collection packedsales);
  public abstract Collection getPackedSales();

  public Integer ejbCreate(int id, String name, String address, String tel,
          String fax) throws CreateException {
    setId(new Integer(id));
    setName(name);
    setAddress(address);
    setTel(tel);
    setFax(fax);
    return new Integer(id);
  }

  public void ejbPostCreate(int id, String name, String address, String tel,
          String fax) throws CreateException {
  }

  public void setEntityContext(EntityContext context) {
    this.context = context;
  }

  public void unsetEntityContext() {
    context = null;
  }

  public void ejbRemove() throws RemoveException {}
  public void ejbActivate() {}
  public void ejbPassivate() {}
  public void ejbLoad() {}
  public void ejbStore() {}

  /////////////////////////////////////////////////////////////////////////
  //  ǉ[`
  /////////////////////////////////////////////////////////////////////////

  //  f[^ArrayListŕԂ
  public ArrayList getPackedSalesList() {
    ArrayList list = new ArrayList();
    Iterator itr = getPackedSales().iterator();
    while(itr.hasNext()) {
      list.add((PackedSales)itr.next());
    }
    return list;
  }

  //  Xgɔf[^ǉ
  public void addPackedSales(int salesno) {
    getPackedSales().add(SalesUtil.findPackedSalesById(salesno));
  }

  // Xg甄f[^폜
  public void removePackedSales(int salesno) {
    getPackedSales().remove(SalesUtil.findPackedSalesById(salesno));
  }

}