package salescmp.Bean;

import java.rmi.*;
import javax.ejb.*;

public abstract class ProductBean implements EntityBean {
  private EntityContext context;

  public abstract void setId(Integer newId);
  public abstract Integer getId();

  public abstract void setName(String newName);
  public abstract String getName();

  public abstract void setCost(double newCost);
  public abstract double getCost();

  public Integer ejbCreate(int id, String name, double cost)
        throws CreateException {
    setId(new Integer(id));
    setName(name);
    setCost(cost);

    return new Integer(id);
  }

  public void ejbPostCreate(int id, String name, double cost) throws CreateException {
  }

  public void setEntityContext(EntityContext context) {
    this.context = context;
  }

  public void unsetEntityContext() {
    context = null;
  }

  public void ejbRemove() throws RemoveException {}
  public void ejbActivate() {}
  public void ejbPassivate() {}
  public void ejbLoad() {}
  public void ejbStore() {}
}