package salescmp.Bean;

import java.rmi.*;
import javax.ejb.*;
import javax.naming.*;
import salescmp.Util.*;

public abstract class SalesBean implements EntityBean {
  EntityContext context;

  public abstract void setSalesId(Integer id);
  public abstract Integer getSalesId();

  public abstract void setDetailNo(int datailno);
  public abstract int getDetailNo();

  public abstract void setProduct(Product product);
  public abstract Product getProduct();

  public abstract void setQuantity(double qty);
  public abstract double getQuantity();

  public abstract void setPackedSales(PackedSales ps);
  public abstract PackedSales getPackedSales();

  public Integer ejbCreate(int id, int detailno, int salesno,
        int productId, double qty ) throws CreateException {
    setSalesId(new Integer(id));
    setDetailNo(detailno);
    setPackedSales(SalesUtil.findPackedSalesById(salesno));
    setProduct(SalesUtil.findProductById(productId));
    setQuantity(qty);
    return new Integer(id);
  }

  public void ejbPostCreate(int id, int detailno, int salesNo,
        int productId, double qty) throws CreateException {
  }

  public void setEntityContext(EntityContext context) {
    this.context = context;
  }

  public void unsetEntityContext() {
    context = null;
  }

  public void ejbRemove() throws RemoveException {
  }

  public void ejbActivate() {}
  public void ejbPassivate() {}
  public void ejbLoad() {}
  public void ejbStore() {}

  //////////////////////////////////////////////////////////////////////
  //  ǉ\bh
  //////////////////////////////////////////////////////////////////////

  //  if[^擾iƐʂ|Ė׍sz߂
  public double getSalesCost() {
    return getProduct().getCost() * getQuantity();
  }


}