package salescmp.Servlets;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import salescmp.Util.*;
import javax.naming.*;
import javax.ejb.*;

public class AddPackedSalesServlet extends HttpServlet {
  public void init(ServletConfig config) throws ServletException {
    super.init(config);
  }

  public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
    try {
      int salesno = Integer.valueOf(request.getParameter("salesno")).intValue();
      int cid     = Integer.valueOf(request.getParameter("custid")).intValue();
      int eid     = Integer.valueOf(request.getParameter("empid")).intValue();
      java.sql.Date sdate = java.sql.Date.valueOf(request.getParameter("salesdate"));

      PackedSalesData pdata = new PackedSalesData(salesno, cid, eid, sdate);
      for(int i = 0; i <= 3; i++) {
        pdata.setDetailNo(columnIntValue(request.getParameter("detailno_" + String.valueOf(i+1))), i);
        pdata.setProductId(columnIntValue(request.getParameter("product_" + String.valueOf(i+1))), i);
        pdata.setQuantity(columnDoubleValue(request.getParameter("quantity_" + String.valueOf(i+1))), i);
      }
      SalesUtil.getSalesSession().createPackedSales(pdata);
    }catch (NamingException ex) {
      throw new EJBException(ex.getMessage());
    }catch (CreateException ex) {
      throw new EJBException(ex.getMessage());
    }
  }

  public void destroy() {
  }

/////////////////////////////////////////////////////////////////////////
//  l󗓁A邢͕sȒlł0 or 0.0Ԃ
/////////////////////////////////////////////////////////////////////////
  private int columnIntValue(String str) {
    int res = 0;
    try {
      res = Integer.parseInt(str);
    }catch (NumberFormatException ex) {
      //̂܂0Ԃ
    }catch (NullPointerException ex) {
    }
    return res;
  }

  private double columnDoubleValue(String str) {
    double res = 0.0;
    try {
      res = Double.parseDouble(str);
    } catch (NumberFormatException ex) {
      //̂܂0.0Ԃ
    }catch (NullPointerException ex) {
    }
    return res;
  }
}