package salescmp.Servlets;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import salescmp.Util.*;
import javax.naming.*;
import javax.ejb.*;

public class CustomerDeleteServlet extends HttpServlet {

  public void init(ServletConfig config) throws ServletException {
    super.init(config);
  }

  public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
    try {
      int id = new Integer(request.getParameter("cust_id")).intValue();
      SalesUtil.getSalesSession().removeCustomer(id);
    } catch (NamingException ex) {
      throw new EJBException(ex.getMessage());
    } catch (CreateException ex) {
      throw new EJBException(ex.getMessage());
    }
  }

  public void destroy() {
  }
}