package salescmp.Servlets;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import salescmp.Bean.*;
import salescmp.Util.*;
import javax.naming.*;
import javax.ejb.*;

public class CustomerInsertServlet extends HttpServlet {
  public void init(ServletConfig config) throws ServletException {
    super.init(config);
  }

  public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
    try {
      int id = new Integer( request.getParameter("id")).intValue();
      String name = SalesUtil.convJp(request.getParameter("Name"));
      String address = SalesUtil.convJp(request.getParameter("Address"));
      String tel = SalesUtil.convJp(request.getParameter("Tel"));
      String fax = SalesUtil.convJp(request.getParameter("Fax"));

      SalesUtil.getSalesSession().createCustomer(id, name, address, tel, fax);
    } catch (NamingException ex) {
      throw new EJBException (ex.getMessage());
    } catch (CreateException ex) {
      throw new EJBException (ex.getMessage());
    }
  }

  public void destroy() {
  }
}